# Notebook Examples

This Repository contains multiple Example Notebooks which demonstrates the [Sandbox](https://sandbox.iuk.hdm-stuttgart.de/) platform capabilities. 

## Usecase 
The [usecase.ipynb](/usecase.ipynb) showcases multiple stylistic tools to create textual, visual, scientific, and interactive use cases.

## Upload Share
The [share_file.ipynb](share_file.ipynb) present how to interact with the datapool by three different ways.

## Slideshows
The [rise_slideshow.ipynb](rise_slideshow.ipynb) shows an example for using the rise plugin to create a slideshow out of a notebook. 

## Webcam Eye Detection
The [webcam_eye_detection.ipynb](webcam_eye_detection.ipynb) demonstrates how the Sandbox WebUI (browser) can interact with the server backend by sending Webcam live video streams using WebRTC. This can be used for live processing like face recognition and other tasks.

## ML model Evaluation
The [tf-cifar10.ipynb](tf-cifar10.ipynb) shows how a model can be quickly evaluated and trained, as a preparation for long running ML training tasks.

## Text to Image
The [text_to_image.ipynb](text_to_image.ipynb) shows a interactive notebook which generates pictures from the user input by the stable diffusion model. 

## Audio to Text
The [whisper_audio_to_text.ipynb](whisper_audio_to_text.ipynb) demonstrates OpenAIs whisper model which can be used to convert audio to text transcription.

*additional information can be found at [https://docs.sandbox.iuk.hdm-stuttgart.de](https://docs.sandbox.iuk.hdm-stuttgart.de)*
